'''
Created on 2013-07-30

@author: Jackie
'''

from dseval.relation_classification import read_preprocessed_items, ClassificationItem
from dseval.qa import read_qa_items, QAItem
from dseval.data_structures import Sentence

if __name__ == '__main__':
    
    # Task 1: load a ClassificationItem for relation classification
    raw_f = './data/relation_classification/raw/lucbesson-paris.txt'
    xml_f = './data/relation_classification/preprocessed/lucbesson-paris.txt.xml'
    p1, p2, items = read_preprocessed_items(raw_f, xml_f)
    
    print 'Data set between entities "%s" and "%s"' % (p1, p2)
    print '%d items in data set' % len(items)
    assert isinstance(items[0], ClassificationItem)
    assert isinstance(items[0].sent, Sentence)
    print 'First item:', items[0].label, items[0].text()
    
    print    
    # load a QAItem for the QA-based evaluation
    
    items_f = 'data/qa/task2_items.txt' 
    questions_f = 'data/qa/questions/questions.txt.xml'
    genia_d = None # this should point to the directory containing the GENIA corpus, preprocessed in the CoreNLP format
    genia_fdict_f = 'data/qa/genia/genia_xml.txt'
    qa_items = read_qa_items(items_f, questions_f, genia_d, genia_fdict_f)
    
    print 'Loaded %d QA pairs' % len(qa_items)
    assert isinstance(qa_items[0], QAItem)
    assert isinstance(qa_items[0].question, Sentence)
    print 'First pair: (%s, Answer index %d)' % (qa_items[0].question.text(), qa_items[0].answer)
    